package com.example.navtestapp

import android.content.Context
import android.os.Bundle
import android.view.View
import androidx.annotation.CallSuper
import androidx.fragment.app.DialogFragment
import androidx.lifecycle.ViewModelProvider
import androidx.navigation.Navigation.findNavController
import androidx.navigation.fragment.findNavController
import com.example.navtestapp.databinding.FragmentMyDialogBinding

class MyNewDialogWithAVeryLongNameToTriggerAnError : DialogFragment() {

    @CallSuper
    override fun onAttach(context: Context) {
        super.onAttach(context)

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        isCancelable = false

    }

    private fun navigateToDefinePinBoxesScreen(){

        findNavController().navigate(
            MyNewDialogWithAVeryLongNameToTriggerAnErrorDirections.actionDialog("text"))
    }

}